---
# This is an example playbook to execute Ansible tests.

- name: Verify
  hosts: all
  tasks:
    - name: Check that virtualbox installed
      ansible.builtin.package:
        name: virtualbox
        state: present
      check_mode: yes
      register: virtualbox_status

    - name: Check result of virtualbox install
      assert:
        that: not virtualbox_status.changed

    - name: Check that vagrant is installed
      ansible.builtin.package:
        name: vagrant
        state: present
      check_mode: yes
      register: vagrant_status

    - name: Check results of vagrant install
      assert:
        that: not vagrant_status.changed

    - name: Check list of vagrant boxes
      shell: >
        vagrant box list
      register: vagrant_boxes

    - name: Verify that needed boxes are present
      assert:
        that: vagrant_boxes.stdout is search(item)
      loop: "{{ vagrant_images }}"


